Help

2

eCommerce Odoo11 - Problem I cant install - I have this fail.

Avatar
joseenrique

I have this fail when I try install this module..


Jose Enrique, [02.01.18 15:50]
Do you know why I cant install ecommerce in my Odoo11?

Maybe you can give me a tip if you see the fail..

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/opt/odoo/odoo/odoo/addons/base/ir/ir_model.py", line 1467, in _update
    record = record.create(values)
  File "/opt/odoo/odoo/addons/website_sale/models/product.py", line 37, in create
    res = super(ProductPricelist, self).create(data)
  File "/opt/odoo/odoo/odoo/models.py", line 3278, in create
    record = self.browse(self._create(old_vals))
  File "/opt/odoo/odoo/odoo/models.py", line 3371, in _create
    cr.execute(query, tuple(u[2] for u in updates if len(u) > 2))
  File "/opt/odoo/odoo/odoo/sql_db.py", line 155, in wrapper
    return f(self, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/sql_db.py", line 232, in execute
    res = self._obj.execute(query, params)
psycopg2.IntegrityError: null value in column "name" violates not-null constraint DETAIL:  Failing row contains (11, null, t, 15, null, 16, 1, 2018-01-02 14:44:59.083731, 1, 2018-01-02 14:44:59.083731, with_discount, 1, null, f).


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 646, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 307, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/opt/odoo/odoo/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 339, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 332, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 927, in call
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 512, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 928, in call_button
    action = self._call_kw(model, method, args, {})
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 916, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-39>", line 2, in button_immediate_install
  File "/opt/odoo/odoo/odoo/addons/base/module/module.py", line 71, in check_and_log
    return method(self, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/addons/base/module/module.py", line 446, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/opt/odoo/odoo/odoo/addons/base/module/module.py", line 539, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/opt/odoo/odoo/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo/odoo/modules/loading.py", line 343, in load_modules
    loaded_modules, update_module)
  File "/opt/odoo/odoo/odoo/modules/loading.py", line 242, in load_marked_modules
    loaded, processed = load_module_graph(cr, graph, progressdict, report=report, skip_modules=loaded_modules, perform_checks=perform_checks)

Jose Enrique, [02.01.18 15:50]
File "/opt/odoo/odoo/odoo/modules/loading.py", line 156, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/opt/odoo/odoo/odoo/modules/loading.py", line 94, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 788, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 849, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 738, in parse
    self.parse(rec, mode)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 748, in parse
    exc_info[2]
  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/opt/odoo/odoo/odoo/addons/base/ir/ir_model.py", line 1467, in _update
    record = record.create(values)
  File "/opt/odoo/odoo/addons/website_sale/models/product.py", line 37, in create
    res = super(ProductPricelist, self).create(data)
  File "/opt/odoo/odoo/odoo/models.py", line 3278, in create
    record = self.browse(self._create(old_vals))
  File "/opt/odoo/odoo/odoo/models.py", line 3371, in _create
    cr.execute(query, tuple(u[2] for u in updates if len(u) > 2))
  File "/opt/odoo/odoo/odoo/sql_db.py", line 155, in wrapper
    return f(self, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/sql_db.py", line 232, in execute
    res = self._obj.execute(query, params)
odoo.tools.convert.ParseError: "null value in column "name" violates not-null constraint DETAIL:  Failing row contains (11, null, t, 15, null, 16, 1, 2018-01-02 14:44:59.083731, 1, 2018-01-02 14:44:59.083731, with_discount, 1, null, f).
" while parsing /opt/odoo/odoo/addons/website_sale/data/data.xml:40, near
<record model="product.pricelist" id="product.list0">
            <field name="selectable" eval="False"/>
            <field name="website_id" ref="website.default_website"/>
        </record>

Avatar
Discard
2 Answers
0
Avatar
joseenrique
Best Answer

Install another time... at the moment I havent find any solution.

Avatar
Discard
0
Avatar
Guillaume Lebourg
Best Answer

Hi Jose Enrique, i have the same problem. do you find a way ?

Regards

Avatar
Discard